<?php

namespace App\Entities\Equipment;

use App\Models\Equipment\IPModel;

class IPEntity extends EquipmentEntity
{
    const PK = IPModel::PK;
    const TITLE = IPModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    final public function  getClientInfoUID(): string|null
    {
        return $this->attributes['clientinfo_uid'];
    }
    final public function  getOldClientInfoUID(): string|null
    {
        return $this->attributes['old_clientinfo_uid'];
    }
    final public function  getServiceInfoUID(): string|null
    {
        return $this->attributes['serviceinfo_uid'];
    }
    final public function  getServerInfoUID(): string|null
    {
        return $this->attributes['serverinfo_uid'];
    }
    final public function  getLineInfoUID(): string
    {
        return $this->attributes['lineinfo_uid'];
    }
    //기본기능    
    public function getIP(): string
    {
        return $this->attributes['ip'];
    }
    public function getPrice(): int
    {
        return $this->attributes['price'];
    }
    public function getCustomTitle(): string
    {
        return   $this->getTitle() . " " . number_format($this->getPrice()) . "원";
    }
}
